## ffmpegthumbnailer 2.1.1

=== debian/changelog ===
ffmpegthumbnailer (2.1.1-0.2build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:14 +0100

ffmpegthumbnailer (2.1.1-0.2build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:33 +0000

ffmpegthumbnailer (2.1.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove Soeren Sonnenburg from the list of uploaders. (Closes: #881840)
  * debian/patches:
    - Add patch to fix FTBFS with FFmpeg 4.0. (Closes: #888346)

 -- James Cowgill <jcowgill@debian.org>  Fri, 25 May 2018 16:39:10 +0100

ffmpegthumbnailer (2.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fix build issue with ffmpeg 3.0 (Closes: #803812)
  * debian/patches:
    - 621274d694dee1f8c92f5db99a5cff98e82c6bd4.patch: Removed, included
      upstream.
    - Restored-deinterlace.patch: Apply upstream patch to restore deinterlace
      with new ffmpeg.
  * debian/control: Replace libswscale-dev with libavfilter-dev in
    Build-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 14 Mar 2016 20:48:00 +0100

=== debian/control ===
Source: ffmpegthumbnailer
Section: video
Priority: optional
Maintainer: Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), pkg-config, libavutil-dev, libavformat-dev,
 libavcodec-dev (>= 4:0.6~svn20100505-1~), libavfilter-dev, libpng-dev,
 libjpeg-dev, dpkg-dev (>= 1.16.1), cmake
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/ffmpegthumbnailer/
Vcs-Svn: https://bollin.googlecode.com/svn/ffmpegthumbnailer/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/ffmpegthumbnailer/trunk/

Package: ffmpegthumbnailer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libglib2.0-0
Description: fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer4v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libffmpegthumbnailer4
Replaces: libffmpegthumbnailer4
Description: shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Depends: libffmpegthumbnailer4v5 (= ${binary:Version}), ${misc:Depends}
Description: development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.

Package: ffmpegthumbnailer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpegthumbnailer (= ${binary:Version})
Description: debugging information for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the debugging symbols for ffmpegthumbnailer.

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ffmpegthumbnailer-$1\.tar\.gz/ \
  https://github.com/dirkvdb/ffmpegthumbnailer/tags .*/v?(\d\S*)\.tar\.gz	debian debian/orig-tar.sh

## ffmpegthumbnailer 2.1.1.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
CMAKE_POLICY(VERSION 2.8)

SET(PACKAGE "ffmpegthumbnailer")
SET(PACKAGE_VERSION_MAJOR 2)
SET(PACKAGE_VERSION_MINOR 1)
SET(PACKAGE_VERSION_PATCH 1)
SET(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})

SET(CPACK_PACKAGE_NAME ${PACKAGE})
SET(CPACK_PACKAGE_VERSION_MAJOR ${PACKAGE_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${PACKAGE_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${PACKAGE_VERSION_PATCH})
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_PACKAGE_FILE_NAME $CPACK_PACKAGE_NAME)
SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-bin")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "/build/;/debug/;/release/;/gfx/;/include/;/lib/;/.git/;/src/tags;/.*[.]sublime-.*;~$;${CPACK_SOURCE_IGNORE_FILES}")
SET(CPACK_RESOURCE_FILE_README ${CMAKE_CURRENT_SOURCE_DIR}/README)
SET(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)

IF (APPLE)
    SET (MACOSX_RPATH ON)
ENDIF ()

PROJECT(${PACKAGE})
INCLUDE(CPack)
INCLUDE(GNUInstallDirs)

SET(CMAKE_EXPORT_COMPILE_COMMANDS 1)
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

OPTION(ENABLE_SHARED "Build shared library" ON)
OPTION(ENABLE_STATIC "Build static library" OFF)
OPTION(ENABLE_TESTS "Build unit tests" ON)
OPTION(ENABLE_GIO "Support for gio file uris" OFF)
OPTION(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})

FIND_PACKAGE(JPEG)
IF (JPEG_FOUND)
    OPTION(HAVE_JPEG "Jpeg support" ON)
ENDIF ()

FIND_PACKAGE(PNG)
IF (PNG_FOUND)
    OPTION(HAVE_PNG "Png support" ON)
ENDIF ()

FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(AVCODEC_PKG libavcodec REQUIRED)
PKG_CHECK_MODULES(AVFORMAT_PKG libavformat REQUIRED)
PKG_CHECK_MODULES(AVUTIL_PKG libavutil REQUIRED)
PKG_CHECK_MODULES(SWSCALE_PKG libswscale REQUIRED)

FIND_PATH(AVCODEC_INCLUDE_DIR
    NAMES libavcodec/avcodec.h
    PATHS ${AVCODEC_PKG_INCLUDE_DIRS}
)

FIND_PATH(AVFORMAT_INCLUDE_DIR
    NAMES libavcodec/avcodec.h
    PATHS ${AVFORMAT_PKG_INCLUDE_DIRS}
)

FIND_PATH(AVUTIL_INCLUDE_DIR
    NAMES libavutil/avutil.h
    PATHS ${AVUTIL_PKG_INCLUDE_DIRS}
)

FIND_PATH(SWSCALE_INCLUDE_DIR
    NAMES libswscale/swscale.h
    PATHS ${SWSCALE_PKG_INCLUDE_DIRS}
)

FIND_LIBRARY(AVCODEC_LIBRARY
    NAMES ${AVCODEC_PKG_LIBRARIES}
    PATHS ${AVCODEC_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(AVFORMAT_LIBRARY
    NAMES ${AVFORMAT_PKG_LIBRARIES}
    PATHS ${AVFORMAT_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(AVUTIL_LIBRARY
    NAMES ${AVUTIL_PKG_LIBRARIES}
    PATHS ${AVUTIL_PKG_LIBRARY_DIRS}
)

FIND_LIBRARY(SWSCALE_LIBRARY
    NAMES ${SWSCALE_PKG_LIBRARIES}
    PATHS ${SWSCALE_PKG_LIBRARY_DIRS}
)

IF (ENABLE_GIO)
    FIND_PATH(DL_INCLUDES dlfcn.h)
    FIND_LIBRARY(DL_LIBRARY dl)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${DL_INCLUDES})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${DL_LIBRARY})
ENDIF ()

LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${AVFORMAT_INCLUDE_DIR} ${AVCODEC_INCLUDE_DIR} ${AVUTIL_INCLUDE_DIR} ${SWSCALE_INCLUDE_DIR})
LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${AVFORMAT_LIBRARY} ${AVCODEC_LIBRARY} ${AVUTIL_LIBRARY} ${SWSCALE_LIBRARY})

SET(FFMPEGTHUMBNAILER_PKG_LIBS "-L${AVCODEC_PKG_LIBRARY_DIRS} -l${AVCODEC_PKG_LIBRARIES} -l${AVUTIL_PKG_LIBRARIES} -l${AVFORMAT_PKG_LIBRARIES} -l${SWSCALE_PKG_LIBRARIES}")
FOREACH(VAL ${JPEG_LIBRARIES})
    SET(FFMPEGTHUMBNAILER_PKG_LIBS "${FFMPEGTHUMBNAILER_PKG_LIBS} ${VAL}")
ENDFOREACH()
FOREACH(VAL ${PNG_LIBRARIES})
    SET(FFMPEGTHUMBNAILER_PKG_LIBS "${FFMPEGTHUMBNAILER_PKG_LIBS} ${VAL}")
ENDFOREACH()

SET(LIB_HDRS
    libffmpegthumbnailer/videothumbnailer.h
    libffmpegthumbnailer/videothumbnailerc.h
    libffmpegthumbnailer/imagetypes.h
    libffmpegthumbnailer/ffmpegthumbnailertypes.h
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/filmstripfilter.h
)

SET (LIB_SRC_LIST
    libffmpegthumbnailer/moviedecoder.h
    libffmpegthumbnailer/moviedecoder.cpp
    libffmpegthumbnailer/imagewriter.h
    libffmpegthumbnailer/imagewriterfactory.h
    libffmpegthumbnailer/stringoperations.h
    libffmpegthumbnailer/stringoperations.cpp
    libffmpegthumbnailer/videothumbnailer.cpp
    libffmpegthumbnailer/videothumbnailerc.cpp
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/histogram.h
    libffmpegthumbnailer/grayscalefilter.h
    libffmpegthumbnailer/filmstrip.h
    libffmpegthumbnailer/filmstripfilter.h
    libffmpegthumbnailer/filmstripfilter.cpp
)

IF (HAVE_JPEG)
    LIST(APPEND LIB_SRC_LIST libffmpegthumbnailer/jpegwriter.h libffmpegthumbnailer/jpegwriter.cpp)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${JPEG_INCLUDE_DIR})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARY_DIRS ${JPEG_LIBRARY_DIRS})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${JPEG_LIBRARIES})
ENDIF ()

IF (HAVE_PNG)
    LIST(APPEND LIB_SRC_LIST libffmpegthumbnailer/pngwriter.h libffmpegthumbnailer/pngwriter.cpp)
    LIST(APPEND FFMPEGTHUMBNAILER_INCLUDE_DIRS ${PNG_INCLUDE_DIR})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARY_DIRS ${PNG_LIBRARY_DIRS})
    LIST(APPEND FFMPEGTHUMBNAILER_LIBRARIES ${PNG_LIBRARIES})
ENDIF ()

SET (FFMPEGTHUMBNAILER_SOVERSION_MAJOR 4)
SET (FFMPEGTHUMBNAILER_SOVERSION_MINOR 11)
SET (FFMPEGTHUMBNAILER_SOVERSION_PATCH 0)

ADD_DEFINITIONS("-D__STDC_CONSTANT_MACROS")
INCLUDE_DIRECTORIES(${FFMPEGTHUMBNAILER_INCLUDE_DIRS})

IF (ENABLE_STATIC)
    ADD_LIBRARY(libffmpegthumbnailerstatic STATIC ${LIB_SRC_LIST})
    TARGET_LINK_LIBRARIES(libffmpegthumbnailerstatic ${FFMPEGTHUMBNAILER_LIBRARIES})
    SET_TARGET_PROPERTIES(libffmpegthumbnailerstatic PROPERTIES
        OUTPUT_NAME ffmpegthumbnailer
    )
    SET (STATIC_LIB libffmpegthumbnailerstatic)
ENDIF ()
IF (ENABLE_SHARED)
    ADD_LIBRARY(libffmpegthumbnailer SHARED ${LIB_SRC_LIST})
    TARGET_LINK_LIBRARIES(libffmpegthumbnailer ${FFMPEGTHUMBNAILER_LIBRARIES})
    SET_TARGET_PROPERTIES(libffmpegthumbnailer PROPERTIES
        PREFIX ""
        VERSION ${FFMPEGTHUMBNAILER_SOVERSION_MAJOR}.${FFMPEGTHUMBNAILER_SOVERSION_MINOR}.${FFMPEGTHUMBNAILER_SOVERSION_PATCH}
        SOVERSION ${FFMPEGTHUMBNAILER_SOVERSION_MAJOR}
        PUBLIC_HEADER "${LIB_HDRS}"
        MACOSX_RPATH TRUE
    )
    SET (SHARED_LIB libffmpegthumbnailer)
ENDIF ()

ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
IF (ENABLE_SHARED)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailer ${SHARED_LIB})
ELSE ()
    TARGET_LINK_LIBRARIES(ffmpegthumbnailer ${STATIC_LIB})
ENDIF ()

INSTALL(TARGETS ffmpegthumbnailer ${STATIC_LIB} ${SHARED_LIB}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libffmpegthumbnailer
)

INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/man/ffmpegthumbnailer.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
INSTALL(FILES ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

IF (ENABLE_THUMBNAILER)
    INSTALL(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
ENDIF ()

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake)

IF (ENABLE_TESTS)
    ENABLE_TESTING()
    ADD_SUBDIRECTORY(test)
ENDIF ()

MESSAGE(STATUS "")
MESSAGE(STATUS "CONFIGURATION SUMMARY")

IF (HAVE_PNG)
    MESSAGE(STATUS "png support          : enabled")
ELSE ()
    MESSAGE(STATUS "png support          : disabled")
ENDIF ()

IF (HAVE_JPEG)
    MESSAGE(STATUS "jpeg support         : enabled")
ELSE ()
    MESSAGE(STATUS "jpeg support         : disabled")
ENDIF ()

IF (ENABLE_GIO)
    MESSAGE(STATUS "gio support          : enabled")
ELSE ()
    MESSAGE(STATUS "gio support          : disabled")
ENDIF ()

IF (ENABLE_THUMBNAILER)
    MESSAGE(STATUS "register thumbnailer : enabled")
ELSE ()
    MESSAGE(STATUS "register thumbnailer : disabled")
ENDIF ()

IF (ENABLE_TESTS)
    MESSAGE(STATUS "unittests            : enabled")
ELSE ()
    MESSAGE(STATUS "unittests            : disabled")
ENDIF ()

IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
    MESSAGE(STATUS "debug mode           : enabled")
ELSE ()
    MESSAGE(STATUS "debug mode           : disabled")
ENDIF ()

=== test/CMakeLists.txt ===
INCLUDE_DIRECTORIES(SYSTEM
    ${CMAKE_CURRENT_SOURCE_DIR}
)

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/..
)

LINK_DIRECTORIES(
	${XDGBASEDIR_LIBRARY_DIRS}
)

ADD_EXECUTABLE(ffmpegthumbnailertest
    gmock-gtest-all.cpp
    testrunner.cpp
    histogramtest.cpp
    videothumbnailertest.cpp
    videothumbnailerctest.cpp
)

ADD_DEFINITIONS(-DTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}")

IF (ENABLE_SHARED)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest ${SHARED_LIB})
ELSE ()
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest ${STATIC_LIB})
ENDIF ()

IF (UNIX)
    TARGET_LINK_LIBRARIES(ffmpegthumbnailertest -lpthread)
ENDIF ()

ADD_TEST(NAME ffmpegthumbnailertest COMMAND ffmpegthumbnailertest)

=== debian/changelog ===
ffmpegthumbnailer (2.1.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 99e81c7b3ea268ce5a748851c6fa748553e698fe']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:10:38 +0000

## ffmpegthumbnailer 2.2.2%2Bgit20220218%2Bdfsg

=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20220218+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libavcodec-dev.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Apply multi-arch hints.
    + libffmpegthumbnailer-dev: Add Multi-Arch: same.

  [ Boyuan Yang ]
  * Rebuild against ffmpeg 6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Sep 2023 15:44:29 -0400

ffmpegthumbnailer (2.2.2+git20220218+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + Fix compatibility with ffmpeg 5.0. (Closes: #1004810)

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Mar 2022 16:53:05 -0400

ffmpegthumbnailer (2.2.2+dfsg-1) unstable; urgency=medium

  * Take over package maintenance via ITS process.
  * New upstream release. (Closes: #989501, #1004315, #805810, #940627)
  * Update project homepage information. (Closes: #978613)
  * dfsg: Drop potentially copyrighted flv files in test.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Drop manual -dbg package in favor of -dbgsym package.
    + Mark libffmpegthumbnailer4v5 as Multi-Arch: same.
  * debian/patches: Dropped, merged in the new version.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Feb 2022 12:10:14 -0500

=== debian/control ===
Source: ffmpegthumbnailer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libjpeg-dev,
 libpng-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer

Package: ffmpegthumbnailer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libglib2.0-0,
Description: fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libffmpegthumbnailer4v5 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.

Package: libffmpegthumbnailer4v5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libffmpegthumbnailer4,
Replaces:
 libffmpegthumbnailer4,
Description: shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.

## ffmpegthumbnailer 2.2.2%2Bgit20240104%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DENABLE_GIO=ON \
	        -DENABLE_THUMBNAILER=ON \
	        -DENABLE_TESTS=OFF \
	        $(NULL)

## ffmpegthumbnailer 2.2.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libavcodec-dev,
+ libavcodec-dev (>= 4:0.6~svn20100505-1~),
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
  pkg-config,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
@@ -37,7 +37,6 @@
 Package: libffmpegthumbnailer-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends:
  libffmpegthumbnailer4v5 (= ${binary:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 	        -DENABLE_THUMBNAILER=ON \
 	        -DENABLE_TESTS=OFF \
 	        $(NULL)
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='ffmpegthumbnailer-dbg (<< 2.1.1-1~)'

## ffmpegthumbnailer 2.2.2+git20220218+dfsg

=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20220218+dfsg-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:47:25 +0200

ffmpegthumbnailer (2.2.2+git20220218+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:49:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpegthumbnailer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## ffmpegthumbnailer 2.2.2+git20240104+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(PACKAGE "ffmpegthumbnailer")
set(PACKAGE_VERSION_MAJOR 2)
set(PACKAGE_VERSION_MINOR 2)
set(PACKAGE_VERSION_PATCH 2)
set(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})

set(CPACK_PACKAGE_NAME ${PACKAGE})
set(CPACK_PACKAGE_VERSION_MAJOR ${PACKAGE_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PACKAGE_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PACKAGE_VERSION_PATCH})
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_FILE_NAME $CPACK_PACKAGE_NAME)
set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-bin")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/debug/;/release/;/gfx/;/include/;/lib/;/.git/;/.vscode/;/src/tags;out-.*;/.*[.]sublime-.*;~$;${CPACK_SOURCE_IGNORE_FILES}")
set(CPACK_RESOURCE_FILE_README ${CMAKE_CURRENT_SOURCE_DIR}/README)
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)

if (APPLE)
    set(MACOSX_RPATH ON)
endif ()

project(${PACKAGE} LANGUAGES C CXX)
include(CPack)
include(GNUInstallDirs)

set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_EXTENSIONS OFF)

option(ENABLE_SHARED "Build shared library" ON)
option(ENABLE_STATIC "Build static library" OFF)
option(ENABLE_TESTS "Build unit tests" ON)
option(ENABLE_GIO "Support for gio file uris" OFF)
option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)
option(SANITIZE_ADDRESS "Build with address sanitizer (detect invalid memory access and memory leaks)" OFF)

if (SANITIZE_ADDRESS)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
endif ()

find_package(FFmpeg REQUIRED)
if (NOT FFmpeg_FOUND)
    message(FATAL_ERROR "BAAM")
endif ()
if (NOT TARGET FFmpeg::avcodec)
    message(FATAL_ERROR "BOOM")
endif ()

find_package(JPEG)
if (JPEG_FOUND)
    set(HAVE_JPEG ON)
endif ()

find_package(PNG)
if (TARGET PNG::PNG)
    set(HAVE_PNG ON)
endif ()

set(LIB_HDRS
    libffmpegthumbnailer/videothumbnailer.h
    libffmpegthumbnailer/videothumbnailerc.h
    libffmpegthumbnailer/imagetypes.h
    libffmpegthumbnailer/ffmpegthumbnailertypes.h
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/filmstripfilter.h
)

add_library(libffmpegthumbnailerobj OBJECT
    libffmpegthumbnailer/moviedecoder.h
    libffmpegthumbnailer/moviedecoder.cpp
    libffmpegthumbnailer/imagewriter.h
    libffmpegthumbnailer/imagewriterfactory.h
    libffmpegthumbnailer/rgbwriter.h
    libffmpegthumbnailer/rgbwriter.cpp
    libffmpegthumbnailer/stringoperations.h
    libffmpegthumbnailer/stringoperations.cpp
    libffmpegthumbnailer/videothumbnailer.cpp
    libffmpegthumbnailer/videothumbnailerc.cpp
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/histogram.h
    libffmpegthumbnailer/grayscalefilter.h
    libffmpegthumbnailer/filmstrip.h
    libffmpegthumbnailer/filmstripfilter.h
    libffmpegthumbnailer/filmstripfilter.cpp
)

target_link_libraries(libffmpegthumbnailerobj
    FFmpeg::avformat
    FFmpeg::avcodec
    FFmpeg::avutil
    FFmpeg::avfilter
    $<$<BOOL:${HAVE_JPEG}>:${JPEG_LIBRARIES}>
    $<$<BOOL:${HAVE_PNG}>:PNG::PNG>
)

# we use our own deprecated struct menbers, so disable the warning about it
set_source_files_properties(libffmpegthumbnailer/videothumbnailerc.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)

set_target_properties(libffmpegthumbnailerobj PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_compile_definitions(libffmpegthumbnailerobj PRIVATE __STDC_CONSTANT_MACROS _FILE_OFFSET_BITS=64)
target_include_directories(libffmpegthumbnailerobj
    PRIVATE
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>
)

if (HAVE_JPEG)
    target_sources(libffmpegthumbnailerobj PRIVATE libffmpegthumbnailer/jpegwriter.h libffmpegthumbnailer/jpegwriter.cpp)
    target_include_directories(libffmpegthumbnailerobj PRIVATE ${JPEG_INCLUDE_DIR})
endif ()

if (HAVE_PNG)
    target_sources(libffmpegthumbnailerobj PRIVATE libffmpegthumbnailer/pngwriter.h libffmpegthumbnailer/pngwriter.cpp)
endif ()

set (FFMPEGTHUMBNAILER_SOVERSION_CURRENT 4)
set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 15)
set (FFMPEGTHUMBNAILER_SOVERSION_AGE 1)

if (ENABLE_STATIC)
    add_library(libffmpegthumbnailerstatic STATIC $<TARGET_OBJECTS:libffmpegthumbnailerobj>)
    target_link_libraries(libffmpegthumbnailerstatic
        libffmpegthumbnailerobj
        $<$<BOOL:${ENABLE_GIO}>:${CMAKE_DL_LIBS}>
    )

    set_target_properties(libffmpegthumbnailerstatic PROPERTIES
        OUTPUT_NAME ffmpegthumbnailer
    )
    target_include_directories(libffmpegthumbnailerstatic
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    )   
    set (STATIC_LIB libffmpegthumbnailerstatic)
endif ()

if (ENABLE_SHARED)
    add_library(libffmpegthumbnailer SHARED $<TARGET_OBJECTS:libffmpegthumbnailerobj>)
    target_link_libraries(libffmpegthumbnailer
        libffmpegthumbnailerobj
    )

    set_target_properties(libffmpegthumbnailer PROPERTIES
        OUTPUT_NAME ffmpegthumbnailer
        VERSION ${FFMPEGTHUMBNAILER_SOVERSION_CURRENT}.${FFMPEGTHUMBNAILER_SOVERSION_REVISION}.${FFMPEGTHUMBNAILER_SOVERSION_AGE}
        SOVERSION ${FFMPEGTHUMBNAILER_SOVERSION_CURRENT}
        PUBLIC_HEADER "${LIB_HDRS}"
        MACOSX_RPATH TRUE
    )
    target_include_directories(libffmpegthumbnailer
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    )
    set (SHARED_LIB libffmpegthumbnailer)
endif ()

ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
target_include_directories(ffmpegthumbnailer PRIVATE ${CMAKE_BINARY_DIR})

if (ENABLE_GIO)
    find_path(DL_INCLUDE dlfcn.h)
    target_include_directories(ffmpegthumbnailer PRIVATE ${DL_INCLUDE})
    target_link_libraries(ffmpegthumbnailer ${CMAKE_DL_LIBS})
endif ()

if (ENABLE_SHARED)
    target_link_libraries(ffmpegthumbnailer ${SHARED_LIB})
else ()
    target_link_libraries(ffmpegthumbnailer ${STATIC_LIB})
endif ()

install(TARGETS ffmpegthumbnailer ${STATIC_LIB} ${SHARED_LIB}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libffmpegthumbnailer
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/man/ffmpegthumbnailer.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

if (ENABLE_THUMBNAILER)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake)

if (ENABLE_TESTS)
    enable_testing()
    ADD_SUBDIRECTORY(test)
endif ()

message(STATUS "")
message(STATUS "CONFIGURATION SUMMARY")

if (HAVE_PNG)
    message(STATUS "png support          : enabled")
else ()
    message(STATUS "png support          : disabled")
endif ()

if (HAVE_JPEG)
    message(STATUS "jpeg support         : enabled")
else ()
    message(STATUS "jpeg support         : disabled")
endif ()

if (ENABLE_GIO)
    message(STATUS "gio support          : enabled")
else ()
    message(STATUS "gio support          : disabled")
endif ()

if (ENABLE_THUMBNAILER)
    message(STATUS "register thumbnailer : enabled")
else ()
    message(STATUS "register thumbnailer : disabled")
endif ()

if (ENABLE_TESTS)
    message(STATUS "unittests            : enabled")
else ()
    message(STATUS "unittests            : disabled")
endif ()

if (ENABLE_SHARED)
    message(STATUS "shared library       : enabled")
else ()
    message(STATUS "shared library       : disabled")
endif ()

if (ENABLE_STATIC)
    message(STATUS "static library       : enabled")
else ()
    message(STATUS "static library       : disabled")
endif ()

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "debug mode           : enabled")
else ()
    message(STATUS "debug mode           : disabled")
endif ()

=== debian/changelog ===
ffmpegthumbnailer (2.2.2+git20240104+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:14 +0000

ffmpegthumbnailer (2.2.2+git20240104+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * Orphan the package.
  * debian/control: Move git packaging repo under Salsa Debian team
    maintenance.
  * debian/rules: Remove finished dbgsym migration instructions.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Mar 2024 10:48:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,21 @@
 Section: video
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libavcodec-dev (>= 4:0.6~svn20100505-1~),
+ libavcodec-dev,
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
+Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
+Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer
 
 Package: ffmpegthumbnailer
 Architecture: any
@@ -38,6 +36,7 @@
 Package: libffmpegthumbnailer-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libffmpegthumbnailer4v5 (= ${binary:Version}),
  ${misc:Depends},

## ffmpegthumbnailer 2.2.3

=== kffmpegthumbnailer/CMakeLists.txt ===
project(kffmpegthumbnailer)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.2.0")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FindPkgConfig)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui)
find_package(KF5 REQUIRED COMPONENTS KIO I18n Config)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "kffmpegthumbnailer video thumbnailer for kde")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/out/;/.svn/;*~")

include(CPack)

pkg_check_modules(FFMPEG_THUMBNAILER libffmpegthumbnailer)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${QT_INCLUDES} ${FFMPEG_THUMBNAILER_INCLUDES})

set(kffmpegthumbnailer_SRCS kffmpegthumbnailer.cpp)
string(REGEX REPLACE "-fno-exceptions " "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

kconfig_add_kcfg_files(kffmpegthumbnailer_SRCS kffmpegthumbnailersettings5.kcfgc)
add_library(kffmpegthumbnailer MODULE ${kffmpegthumbnailer_SRCS})
target_link_libraries(kffmpegthumbnailer Qt5::Core Qt5::Gui KF5::KIOWidgets KF5::KIOCore KF5::ConfigCore KF5::ConfigGui ${FFMPEG_THUMBNAILER_LIBRARIES})

install(FILES kffmpegthumbnailersettings5.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS kffmpegthumbnailer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kffmpegthumbnailer.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
ffmpegthumbnailer (2.2.3-2) unstable; urgency=medium

  * QA upload.
  * Migrate to Debian Policy Standards-Version 4.7.0, no changes needed
  * pkgconf replaces pkg-config

 -- Sourav Bhattacharya <souravbhattacharya@tutamail.com>  Mon, 07 Oct 2024 10:21:13 +0530

ffmpegthumbnailer (2.2.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 21 Sep 2024 07:59:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ffmpegthumbnailer
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,8 +11,8 @@
  libavutil-dev,
  libjpeg-dev,
  libpng-dev,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
 Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
 Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/dirkvdb/ffmpegthumbnailer/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ffmpegthumbnailer 2.2.4

=== debian/changelog ===
ffmpegthumbnailer (2.2.4-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:52:55 +0000

ffmpegthumbnailer (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
    - Fix build with ffmpeg 8.0 (Closes: #1115014)
  * debian/control:
    - Bump Standards-Version
    - Fix Vcs-*

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Dec 2025 10:22:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ffmpegthumbnailer
 Section: video
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -12,10 +13,10 @@
  libjpeg-dev,
  libpng-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Vcs-Git: https://salsa.debian.org/debian/ffmpegthumbnailer.git
-Vcs-Browser: https://salsa.debian.org/debian/ffmpegthumbnailer
+Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
 
 Package: ffmpegthumbnailer
 Architecture: any

## ffmpegthumbnailer 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 set(PACKAGE "ffmpegthumbnailer")
 set(PACKAGE_VERSION_MAJOR 2)
-set(PACKAGE_VERSION_MINOR 2)
-set(PACKAGE_VERSION_PATCH 2)
+set(PACKAGE_VERSION_MINOR 3)
+set(PACKAGE_VERSION_PATCH 0)
 set(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 
 set(CPACK_PACKAGE_NAME ${PACKAGE})
@@ -29,14 +29,16 @@
 include(GNUInstallDirs)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 option(ENABLE_SHARED "Build shared library" ON)
 option(ENABLE_STATIC "Build static library" OFF)
 option(ENABLE_TESTS "Build unit tests" ON)
 option(ENABLE_GIO "Support for gio file uris" OFF)
-option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)
+option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer for video files" OFF)
+option(ENABLE_AUDIO_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer for audio files" OFF)
+option(ENABLE_FULL_STATIC "Build fully static binary" OFF)
 option(SANITIZE_ADDRESS "Build with address sanitizer (detect invalid memory access and memory leaks)" OFF)
 
 if (SANITIZE_ADDRESS)
@@ -45,15 +47,8 @@
 endif ()
 
 find_package(FFmpeg REQUIRED)
-if (NOT FFmpeg_FOUND)
-    message(FATAL_ERROR "BAAM")
-endif ()
-if (NOT TARGET FFmpeg::avcodec)
-    message(FATAL_ERROR "BOOM")
-endif ()
-
 find_package(JPEG)
-if (JPEG_FOUND)
+if (TARGET JPEG::JPEG)
     set(HAVE_JPEG ON)
 endif ()
 
@@ -97,8 +92,8 @@
     FFmpeg::avcodec
     FFmpeg::avutil
     FFmpeg::avfilter
-    $<$<BOOL:${HAVE_JPEG}>:${JPEG_LIBRARIES}>
-    $<$<BOOL:${HAVE_PNG}>:PNG::PNG>
+    $<TARGET_NAME_IF_EXISTS:JPEG::JPEG>
+    $<TARGET_NAME_IF_EXISTS:PNG::PNG>
 )
 
 # we use our own deprecated struct menbers, so disable the warning about it
@@ -121,7 +116,7 @@
 endif ()
 
 set (FFMPEGTHUMBNAILER_SOVERSION_CURRENT 4)
-set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 15)
+set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 16)
 set (FFMPEGTHUMBNAILER_SOVERSION_AGE 1)
 
 if (ENABLE_STATIC)
@@ -137,7 +132,7 @@
     target_include_directories(libffmpegthumbnailerstatic
         PUBLIC
             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-    )   
+    )
     set (STATIC_LIB libffmpegthumbnailerstatic)
 endif ()
 
@@ -163,6 +158,10 @@
 
 ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
 target_include_directories(ffmpegthumbnailer PRIVATE ${CMAKE_BINARY_DIR})
+target_link_options(ffmpegthumbnailer
+    PRIVATE
+        $<$<AND:$<BOOL:${ENABLE_FULL_STATIC}>,$<OR:$<PLATFORM_ID:Linux>,$<PLATFORM_ID:Windows>>>:-static>
+)
 
 if (ENABLE_GIO)
     find_path(DL_INCLUDE dlfcn.h)
@@ -190,6 +189,10 @@
     install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
 endif ()
 
+if (ENABLE_AUDIO_THUMBNAILER)
+    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer-audio.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
+endif ()
+
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)

=== debian/changelog ===
ffmpegthumbnailer (2.3.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/rules: Enable AUDIO_THUMBNAILER.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Jan 2026 12:34:06 -0500

=== debian/control ===
Source: ffmpegthumbnailer
Section: video
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libjpeg-dev,
 libpng-dev,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpegthumbnailer
Description: fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by file
 managers to create thumbnails for your video files. The thumbnailer uses ffmpeg
 to decode frames from the video files, so supported videoformats depend on the
 configuration flags of ffmpeg.

Package: ffmpegthumbnailer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libglib2.0-0,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libffmpegthumbnailer4v5 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for ffmpegthumbnailer
 ${source:Extended-Description}
 .
 This package contains the development files distributed with ffmpegthumbnailer.

Package: libffmpegthumbnailer4v5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libffmpegthumbnailer4,
Replaces:
 libffmpegthumbnailer4,
Description: shared library for ffmpegthumbnailer
 ${source:Extended-Description}
 .
 This package contains the shared library for ffmpegthumbnailer framework.

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	dh_auto_configure -- \
 	        -DENABLE_GIO=ON \
 	        -DENABLE_THUMBNAILER=ON \
+	        -DENABLE_AUDIO_THUMBNAILER=ON \
 	        -DENABLE_TESTS=OFF \
 	        $(NULL)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='ffmpegthumbnailer-dbg (<< 2.1.1-1~)'

## ffmpegthumbnailer 2.3.0+dfsg

=== debian/changelog ===
ffmpegthumbnailer (2.3.0+dfsg-2) unstable; urgency=medium

  * New maintainer upload (Closes: #1067555)
  * d/watch: upgrade to version 5
  * d/changelog: Add +dfsg to package version to mention repackaging in
    d/copyright
  * d/control: Add Section to package libffmpegthumbnailer4v5
  * d/libffmpegthumbnailer4v5.symbols add symbols file for
    libffmpegthumbnailer4v5

 -- Nicolas Mora <babelouest@debian.org>  Wed, 11 Feb 2026 20:19:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ffmpegthumbnailer
 Section: video
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Nicolas Mora <babelouest@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -46,6 +46,7 @@
  This package contains the development files distributed with ffmpegthumbnailer.
 
 Package: libffmpegthumbnailer4v5
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
Version: 5
Template: Github
Owner: dirkvdb
Project: ffmpegthumbnailer
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg
